> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udlistitem.md).

# New-UDListItem

### Übersicht

Erstellt ein neues Listenelement.

### Syntax

```powershell
New-UDListItem [[-Id] <String>] [[-AvatarType] <String>] [[-OnClick] <Endpoint>] [[-Label] <Object>] [[-Children] <ScriptBlock>] [[-SubTitle] <String>] [[-Icon] <Object>] [[-Url] <String>] [-OpenInNewWindow] [[-SecondaryAction] <ScriptBlock>] [[-ClassName] <String>] [-Open] [-Nested] [[-Href] <String>] [[-Switch] <Object>] [[-SwitchAlignment] <String>] [[-CheckBox] <Object>] [[-CheckBoxAlignment] <String>] [[-Style] <Hashtable>] [[-Sx] <String>] [<CommonParameters>]
```

### Beschreibung

Erstellt ein neues Listenelement. Listenelemente werden mit New-UDList verwendet.

### Parameter

#### -Id

Die ID der Komponente. Standardmäßig eine zufällige GUID.

```
Required?                    false
Position?                    1
Default value                ([Guid]::NewGuid()).ToString()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -AvatarType

Der Typ des Avatars, der im Listenelement angezeigt wird.

```
Required?                    false
Position?                    2
Default value                Icon
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnClick

Ein Skriptblock, der ausgeführt wird, wenn auf das Listenelement geklickt wird.

```
Required?                    false
Position?                    3
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Label Das Label, das im Listenelement angezeigt wird.Required?                    falsePosition?                    4Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-ChildrenVerschachtelte Listenelemente, die unterhalb dieses Listenelements angezeigt werden.Required?                    falsePosition?                    5Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-SubTitleDer Untertitel, der im Listenelement angezeigt wird.Required?                    falsePosition?                    6Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-Icon Das Symbol, das im Listenelement angezeigt wird.Required?                    falsePosition?                    7Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-UrlDie URL für das Avatar-Bild.Required?                    falsePosition?                    8Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    -OpenInNewWindow \[\<SwitchParameter>]        Open the HREF in a new window\.Required?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false-SecondaryActionDie sekundäre Aktion, die mit diesem Listenelement ausgeführt wird.Required?                    falsePosition?                    9Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-ClassNameRequired?                    falsePosition?                    10Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    -Open \[\<SwitchParameter>]Required?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false    -Nested \[\<SwitchParameter>]Required?                    falsePosition?                    namedDefault value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false-HrefEine URL, zu der beim Klicken navigiert wird.Required?                    falsePosition?                    11Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-Switch Der Switch, der im Listenelement angezeigt wird.Required?                    falsePosition?                    12Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-SwitchAlignmentWie der Switch innerhalb des Listenelements ausgerichtet wird. Gültige Werte sind: "left", "right"Required?                    falsePosition?                    13Default value                rightAccept pipeline input?       falseAliasesAccept wildcard characters?  false-CheckBox Die Checkbox, die im Listenelement angezeigt wird.Required?                    falsePosition?                    14Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-CheckBoxAlignmentWie die Checkbox innerhalb des Listenelements ausgerichtet wird. Gültige Werte sind: "left", "right"Required?                    falsePosition?                    15Default value                rightAccept pipeline input?       falseAliasesAccept wildcard characters?  false-StyleEine Hashtable mit Stilen, die auf diese Komponente angewendet werden.Required?                    falsePosition?                    16Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-SxEine Hashtable mit Stilen, die auf diese Komponente angewendet werden.Required?                    falsePosition?                    17Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216>).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udlistitem.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
